Summary:	A public domain Yacc parser generator
Name:		byacc
Version:	20101229
Release:	%mkrel 2
License:	Public Domain
Group:		Development/Other
URL:		http://invisible-island.net/byacc/byacc.html
# old source: ftp://ftp.cs.berkeley.edu/ucb/4bsd/
Source:		ftp://invisible-island.net/byacc/byacc-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Byacc (Berkeley Yacc) is a public domain LALR parser generator which
is used by many programs during their build process.

If you are going to do development on your system, you will want to
install either this package or bison. Berkeley Yacc is regarded as a
better parser, while bison is more widely used under GNU world.

%prep
%setup -q

%build
%configure2_5x
%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

mv %{buildroot}%{_bindir}/{yacc,byacc}
ln -s yacc.1 %{buildroot}%{_mandir}/man1/byacc.1

%post
%{_sbindir}/update-alternatives --install %{_bindir}/yacc yacc %{_bindir}/byacc 20

%preun
if [ $1 -eq 0 ]; then
	%{_sbindir}/update-alternatives --remove yacc %{_bindir}/byacc
fi

%triggerpostun -- byacc <= 1.9-16mdk
%{_sbindir}/update-alternatives --install %{_bindir}/yacc yacc %{_bindir}/byacc 20

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc ACKNOWLEDGEMENTS CHANGES NEW_FEATURES NOTES NO_WARRANTY README
%attr(0755,root,root) %{_bindir}/byacc
%{_mandir}/man1/*


%changelog
* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 20101229-2mdv2011.0
+ Revision: 663342
- mass rebuild

* Tue Mar 15 2011 Stéphane Téletchéa <steletch@mandriva.org> 20101229-1
+ Revision: 645051
- update to new version 20101229

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 20100216-2mdv2011.0
+ Revision: 603773
- rebuild

* Fri Feb 19 2010 Sandro Cazzaniga <kharec@mandriva.org> 20100216-1mdv2010.1
+ Revision: 507984
- update to 20100216

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 20090221-2mdv2010.0
+ Revision: 413187
- rebuild

* Sun Mar 22 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090221-1mdv2009.1
+ Revision: 360099
- Updated to 20090221 release.
- Removed merged/obsolete patch: byacc-20040328-no-recreate-unionfile.patch
- Removed old patches not being used in spec:
  byacc-1.9-fixmanpage.patch
  byacc-1.9-automake.patch
  byacc-1.9-includes.patch
  byacc-1.9-security.patch

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.9-24mdv2009.1
+ Revision: 316512
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.9-23mdv2009.0
+ Revision: 220494
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.9-22mdv2008.1
+ Revision: 149067
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.9-21mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:14:56 (63271)
- bunzip patches
- use the check macro

* Sat Oct 07 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-06 07:14:28 (62916)
- Import byacc

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 1.9-20mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.9-19mdk
- Rebuild

* Thu Dec 30 2004 Abel Cheung <deaddog@mandrake.org> 1.9-18mdk
- P4 (Fix #12823)

* Thu Dec 23 2004 Abel Cheung <deaddog@mandrake.org> 1.9-17mdk
- Use the 2004-03-28 tarball distributed by Thomas Dickey (of ncurses fame),
  which contains quite a few fixes and enhancements. Better than the 4BSD
  version dated back from 1993.
- Don't apply all patches (in particular insecure tempfile patch;
  tmpfile() should be fine, but who knows). Keep them for now.
- Make byacc an alternative of bison

* Fri Jul 02 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9-16mdk
- better gcc3.4 fix, in addition that errno is not a variable

* Wed Jun 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.9-15mdk
- fix gcc-3.4 build (P4)
- force use of automake1.4 and autoconf2.5

